## ros-humble-rosidl-default-generators 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rosidl_default_generators NONE)

find_package(ament_cmake REQUIRED)

ament_export_dependencies(ament_cmake_core)
ament_export_dependencies(rosidl_cmake)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "rosidl_default_generators-extras.cmake.in"
)

=== debian/changelog ===
ros-humble-rosidl-default-generators (1.2.0-2jammy) jammy; urgency=high

  * Unroll group dependencies (#20 <https://github.com/ros2/rosidl_defaults/issues/20>)
  * Contributors: Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 31 Mar 2022 07:00:00 -0000

ros-humble-rosidl-default-generators (1.1.1-2jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-humble-rosidl-default-generators (1.1.0-2jammy) jammy; urgency=high

  * Update maintainers (#13 <https://github.com/ros2/rosidl_defaults/issues/13>)
  * Contributors: Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-humble-rosidl-default-generators (1.0.0-2jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-humble-rosidl-default-generators (0.9.0-2jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sat, 25 Apr 2020 07:00:00 -0000

ros-humble-rosidl-default-generators (0.8.0-2jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-humble-rosidl-default-generators (0.7.0-2jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-humble-rosidl-default-generators (0.6.0-2jammy) jammy; urgency=high

  * update manifest to adhere to tag order in schema (#3 <https://github.com/ros2/rosidl_defaults/issues/3>)
  * Contributors: Dirk Thomas

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-humble-rosidl-default-generators (0.5.0-2jammy) jammy; urgency=high

  * Merge pull request #26 <https://github.com/ros2/rosidl_defaults/issues/26> from ros2/remove-direct-vendor-typesupport-deps
  * add and use groups for generator and runtime packages (#25 <https://github.com/ros2/rosidl_defaults/issues/25>)
  * Merge pull request #22 <https://github.com/ros2/rosidl_defaults/issues/22> from ros2/use_typesupport_group
  * use ament index to collect typesupport packages
  * add group_depends for typesupport
  * Contributors: Dirk Thomas, Esteve Fernandez, Jackie Kay, Mikael Arguedas, Steven! Ragnarök, William Woodall

 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 24 Jun 2018 07:00:00 -0000

=== debian/control ===
Source: ros-humble-rosidl-default-generators
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosidl-default-generators
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-cmake-core, ros-humble-rosidl-cmake, ros-humble-rosidl-generator-c, ros-humble-rosidl-generator-cpp, ros-humble-rosidl-generator-py, ros-humble-rosidl-typesupport-c, ros-humble-rosidl-typesupport-cpp, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp, ros-humble-rosidl-typesupport-introspection-c, ros-humble-rosidl-typesupport-introspection-cpp, ros-humble-ros-workspace
Description: A configuration package defining the default ROS interface generators.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rosidl-default-generators//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
